Getting Java Compilation Error

Getting Java Compilation Error When Compiling JDBC with java 1.5

When we try to compile  some java project with Java 1.5 compiler, we get the error

[javac] Please remove or make sure it appears in the correct subdirectory of the classpath.
[javac] import oracle.sql.ARRAY;
[javac]                              ^
[javac] 1 error

This is because java 1.5 compiler doesn't support oracle.sql.ARRAY, so to remove this compilation error we need to upgrade the java compiler from 1.5 to java 1.6. The Java compiler 1.6 support all this classes as well as the old classes of java 1.5. Java 1.6 can be downloaded from Java Sun website.